| Home | Libraries | People | FAQ | More

## Class seconds

boost::posix_time::seconds

## Synopsis

    // In header: <boost/date_time/posix_time/posix_time_duration.hpp>

    class seconds : public boost::posix_time::time_duration {
    public:
      // construct/copy/destruct
      template<typename T>
        explicit seconds(T const &,
                         typename boost::enable_if< boost::is_integral< T >, void >::type * = BOOST_DATE_TIME_NULLPTR);
    };

## Description

Allows expression of durations as a seconds count The argument must be an integral type

### `seconds` public construct/copy/destruct

1.     template<typename T>
         explicit seconds(T const & s,
                          typename boost::enable_if< boost::is_integral< T >, void >::type * = BOOST_DATE_TIME_NULLPTR);